#include <stdio.h>
#include <stdlib.h>

int main()
{
    int T,N,K,i,j,b,s,a[10],x,y;
    long M;
    scanf("%d",&T);
    for(i=0; i<T; i++)
    {
         scanf("%d%ld%d", &N, &M,&K);
         s=0;
         x=K-1;
         for(j=N-x, b=0; j>=0 ;j--,b++)
         {
             s+=b;
         }
         if(s+x<=M)
            a[i]=1;
         else
            a[i]=0;
         if(N==M)
            a[i]=0;
    }
    for(i=0;i<T;i++)
    {
        if(a[i]==1)
           printf("Tak");
        else
           printf("Nie");
        printf("\n");
    }
    return 0;
}